use bevy::prelude::*;

pub use common_components::*;

mod main_menu;
mod common_components;

#[derive(Clone, Eq, PartialEq, Debug, Hash)]
enum GameState {
    MainMenu,
    Playing,
    GameOver,
}

fn main() {
    App::new()
        .add_plugins(DefaultPlugins)
        .run();
}
